Bug 182849 - LayoutTest imported/w3c/web-platform-tests/xhr/event-upload-progress-crossorigin.htm is a flaky failure
Summary: LayoutTest imported/w3c/web-platform-tests/xhr/event-upload-progress-crossori...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-15 16:32 PST by Ryan Haddad
Modified: 2019-05-03 10:32 PDT (History)
7 users (show)

See Also:


Attachments
Patch (9.27 KB, patch)
2019-05-01 14:04 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2018-02-15 16:32:36 PST
LayoutTest imported/w3c/web-platform-tests/XMLHttpRequest/event-upload-progress-crossorigin.htm is a flaky failure on iOS and macOS

--- /Volumes/Data/slave/ios-simulator-11-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/XMLHttpRequest/event-upload-progress-crossorigin-expected.txt
+++ /Volumes/Data/slave/ios-simulator-11-release-tests-wk2/build/layout-test-results/imported/w3c/web-platform-tests/XMLHttpRequest/event-upload-progress-crossorigin-actual.txt
@@ -1,6 +1,6 @@
 
 PASS Upload events registered on time (http://127.0.0.1:8800/XMLHttpRequest/resources/corsenabled.py) 
-PASS Upload events registered on time (resources/redirect.py?code=307&location=http://127.0.0.1:8800/XMLHttpRequest/resources/corsenabled.py) 
+FAIL Upload events registered on time (resources/redirect.py?code=307&location=http://127.0.0.1:8800/XMLHttpRequest/resources/corsenabled.py) assert_unreached: Reached unreachable code
 PASS Upload events registered too late (http://127.0.0.1:8800/XMLHttpRequest/resources/corsenabled.py) 
 FAIL Upload events registered too late (resources/redirect.py?code=307&location=http://127.0.0.1:8800/XMLHttpRequest/resources/corsenabled.py) assert_unreached: Reached unreachable code
 

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2FXMLHttpRequest%2Fevent-upload-progress-crossorigin.htm
Comment 1 Ryan Haddad 2018-02-15 16:42:00 PST
Marked test as flaky in https://bugs.webkit.org/show_bug.cgi?id=182849
Comment 2 Ryan Haddad 2018-02-19 17:16:55 PST
(In reply to Ryan Haddad from comment #1)
> Marked test as flaky in https://bugs.webkit.org/show_bug.cgi?id=182849
The actual change is https://trac.webkit.org/changeset/228541/webkit
Comment 3 Shawn Roberts 2019-04-30 15:50:55 PDT
iOS test expectations were changed at some point. Test is still failing on iOS

Updated in https://trac.webkit.org/changeset/244808/webkit
Comment 4 Radar WebKit Bug Importer 2019-04-30 15:52:26 PDT
<rdar://problem/50353372>
Comment 5 youenn fablet 2019-05-01 14:04:18 PDT
Created attachment 368705 [details]
Patch
Comment 6 WebKit Commit Bot 2019-05-03 10:32:31 PDT
Comment on attachment 368705 [details]
Patch

Clearing flags on attachment: 368705

Committed r244910: <https://trac.webkit.org/changeset/244910>
Comment 7 WebKit Commit Bot 2019-05-03 10:32:32 PDT
All reviewed patches have been landed.  Closing bug.